
Infrastructure - Task #2991

Bug # 2990 (Closed): Mercury MN implementations use redirect for servicing MN.get

Verify if Mercury redirect for MN.get is a problem for synchronization

2012-06-20 14:53 - Dave Vieglais

Status: Closed Start date: 2012-06-20

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: mn.Mercury Estimated time: 0.00 hour

Target version: Sprint-2012.33-Block.5.1   

Milestone: CCI-1.0.2 Story Points:  

Product Version: *   

Description

Does libclient support access to content through a redirect? 

History

#1 - 2012-06-20 15:04 - Dave Vieglais

- Status changed from New to In Progress

- Priority changed from High to Normal

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.33-Block.5.1

- Milestone changed from CCI-1.0.0 to CCI-1.1

Seems to work ok, but need to verify this won't be a problem for replication.

e.g. on cn-stage, the object nrdata.nps.gov_gos_2167255.xml was successfully synchronized

#2 - 2012-06-21 17:28 - Dave Vieglais

- Milestone changed from CCI-1.1 to CCI-1.0.2

It does indeed appear that this is an issue that needs to be resolved for the USGS MN implementation.

The options are: 

1. implement a simple proxy that will handle requests for content. Basically the MN.get endpoint will open a buffered http connection to USGS, and

as content is received, pass it on to the client.

2. Install the MN software stack at Denver where local acces to the content is available.

Option 1 appears to be the only viable option.

#3 - 2012-06-23 21:36 - Dave Vieglais

- Status changed from In Progress to Closed
